#if !defined(__InfoWin_h__)
#define __InfoWin_h__

#undef EXTERN
#undef extern
#if !defined(D_InfoWin_VariableDefine)
#define EXTERN extern
#else
#define EXTERN
#endif /* D_InfoWin_VariableDefine */

#if defined(__cplusplus)
extern "C"
{
#endif /* __cplusplus */

struct tdstInfoWindow_
{
 char *szAppName;
 WNDCLASS wndclass;
 HINSTANCE hInstance;
 HWND      hWnd;
 HDC       hDC; 
 RECT rClientRect;

 char zsString[1000];
};

EXTERN struct tdstInfoWindow_ g_stInfoWindow;

void fn_vCreateInfoWindow(void);
void fn_vDestroyInfoWindow(void);
void fn_vShowInfoWindow(void);

LONG WINAPI fn_lInfoWindowProc(HWND hWnd,UINT uMsg,WPARAM wParam,LPARAM  lParam);



#if defined(__cplusplus)
}
#endif /* __cplusplus */

#endif /* __InfoWin_h__ */